Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class OrExpr

    java.lang.Object
      com.novell.xml.xpath.BinaryExpr
          com.novell.xml.xpath.BooleanExpr
              com.novell.xml.xpath.OrExpr

All Implemented Interfaces:
  Expression

    public class OrExpr

extends BooleanExpr
implements Expression

This class implements the XPath 'OrExpr' functionality. The evaluation causes the lhs and rhs expressions to be evaluated and the results to be converted to Boolean. The result is true if either expression evaluates to true. This is a "short-circuit" or expression.

Field Summary

Fields inherited from class com.novell.xml.xpath.BinaryExpr
`lhs, rhs`

Constructor Summary
`OrExpr(Expression lhs, Expression rhs)` Construct a logical 'or' expression

Method Summary
`ExpressionValue` | `evaluate(Node contextNode, ExpressionContext context)` Evaluate the expression with repect to the passed context
`String` | `toString()` Provide a readable description for debugging.

Methods inherited from class com.novell.xml.xpath.BooleanExpr
`getResultType`

Methods inherited from class com.novell.xml.xpath.BinaryExpr
`dump, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.novell.xml.xpath.Expression
`dump, getResultType, isConstant, registerForReset`

Constructor Detail

### OrExpr

    public OrExpr(Expression lhs,
                  Expression rhs)

  Construct a logical 'or' expression

  Parameters:
    `lhs` - The left-hand-side expression
    `rhs` - The right-hand-side-expression

Method Detail

### toString

    public String toString()

  Provide a readable description for debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation

### evaluate

    public ExpressionValue evaluate(Node contextNode,
                                    ExpressionContext context)
                             throws XPathEvaluationException

  Evaluate the expression with repect to the passed context

  Specified by:
    `evaluate` in interface `Expression`
  Parameters:
    `contextNode` - context node for expression evaluation
    `context` - expression context for expression evaluation
  Returns:
    result of evaluating expression
  Throws:
    `XPathEvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD